package net.outlyer.plugins;

import java.util.LinkedList;
import java.util.List;

/**
 * Default plugin object, adds a "features" field intended to describe
 * the plugin features, and execution() which provides the number of times
 * the script has been executed.
 */
public class PluginObject extends BasePluginObject {
    public List features;

    {
        features = new LinkedList();
    }
    
    public int execution() {
        return getSandbox().getExecution();
    }

    @Override public Object clone() throws CloneNotSupportedException {
        PluginObject po = (PluginObject) super.clone();
        
        po.features = new LinkedList();
        po.features.addAll(this.features);
        
        return po;
    }
    
    
}
