package net.outlyer.plugins.sandboxing;

/**
 * Optional interface for exported objects (see
 * {@link net.outlyer.plugins.sandboxing.PluginEnvironment#exportGlobalObject}),
 * it enables exported objects to retrieve the sandbox object in which they're
 * being executed.
 * 
 * Implementors must contain a field exactly:
 * 
 * public Callable<Sandbox> _getSandbox = null;
 * 
 * The convenience default implementation, {@link SandboxAccessorImpl} can
 * be used as a base class if that's possible, to hide such requirement.
 */
public interface SandboxAccessor {
}
