package net.outlyer.plugins.utils;

import java.io.PrintStream;

/**
 * Provides a simplified wrapper for output
 */
public class Output {

    private final PrintStream ps;
    
    public Output(final PrintStream ps) {
        this.ps = ps;
    }
    
    public void println(final String s) {
        ps.println(s);
    }

    /**
     * Note that varargs can't be used transparently from JS
     * @param sfmt
     * @param args
     */
    public void printf(final String sfmt, final Object [] args) {
        ps.printf(sfmt, args);
    }
    
    public void printf(final String s) {
        ps.printf("%s", s);
    }
}
